본문 바로가기

실습 API

AI와 만든 웹페이지에 가입 없이 바로 붙여 보는 실습용 백엔드 (eduAPI)

실습용 저장소입니다. 매일 새벽 4시에 모든 데이터가 초기화되고, 공간 이름을 아는 사람은 누구나 데이터를 보고 고칠 수 있습니다. 비밀번호·전화번호·주소 같은 개인정보는 저장하지 마세요.

API 명세

마크다운 블로그

1. 게시글 목록 가져오기

  • 요청(Request)

    https://dev.wenivops.co.kr/services/fastapi-crud/markdownblog 로 GET 요청을 보내 마크다운 형식으로 내용이 작성된 게시글 목록을 확인합니다.

    GET /markdownblog
    
  • 응답(Response)

    [
      {
        _id: string, // 게시글 id
        index: string, // 게시글 index
        thumbnail: string, // 썸네일 이미지 경로
        title: string, //제목
        content: string, // 내용
        date: string, // 작성일
        time: string, // 작성시간
        author: string, // 작성자
        email: string, // 작성자의 이메일
        views_count: string, // 조회수
      },
      ...
    ]
    
  • 예제

    fetch("https://dev.wenivops.co.kr/services/fastapi-crud/markdownblog")
      .then((response) => response.json())
      .then((json) => console.log(json))
      .catch((error) => console.error(error));